Bug 726427 - [RFE] sosreport should collect the result of ethtool -g, ethtool -c, and ethtool -a by default
Summary: [RFE] sosreport should collect the result of ethtool -g, ethtool -c, and etht...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Bryn M. Reeves
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On: 726421
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-28 14:52 UTC by Jeremy Eder
Modified: 2012-04-23 12:28 UTC (History)
6 users (show)

Fixed In Version: 2.2-9.el6
Doc Type: Enhancement
Doc Text:
Clone Of: 726421
Environment:
Last Closed: 2011-12-06 18:11:21 UTC


Attachments (Terms of Use)
Patch adding -a -c -g options to sos (643 bytes, patch)
2011-07-28 14:54 UTC, Jeremy Eder
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1536 normal SHIPPED_LIVE Low: sos security, bug fix, and enhancement update 2011-12-06 01:02:03 UTC

Description Jeremy Eder 2011-07-28 14:52:56 UTC
+++ This bug was initially created as a clone of Bug #726421 +++

Description of problem:

Capture output of 3 additional ethtool commands.  Output of these commands is generally used in tuning exercises.

Currently, sos captures -i, -k and -S.  This would add -g, -c and -a.

I've audited ethtool man page...adding these 3 additional params means we get full coverage of all current ethtool "show" options.

This BZ is similar to https://bugzilla.redhat.com/show_bug.cgi?id=469820

Comment 2 Jeremy Eder 2011-07-28 14:54:03 UTC
Created attachment 515746 [details]
Patch adding -a -c -g options to sos

Comment 3 Bryn M. Reeves 2011-08-12 19:07:58 UTC
# cat seg2-2011081220481313178504/sos_commands/networking/ethtool_-a_eth0 
Pause parameters for eth0:
Autonegotiate:	on
RX:		off
TX:		off

# cat seg2-2011081220481313178504/sos_commands/networking/ethtool_-c_eth0 
Coalesce parameters for eth0:
Adaptive RX: off  TX: off
stats-block-usecs: 999936
sample-interval: 0
pkt-rate-low: 0
pkt-rate-high: 0

rx-usecs: 18
rx-frames: 12
rx-usecs-irq: 18
rx-frames-irq: 2

tx-usecs: 80
tx-frames: 20
tx-usecs-irq: 18
tx-frames-irq: 2

rx-usecs-low: 0
rx-frame-low: 0
tx-usecs-low: 0
tx-frame-low: 0

rx-usecs-high: 0
rx-frame-high: 0
tx-usecs-high: 0
tx-frame-high: 0

# cat seg2-2011081220481313178504/sos_commands/networking/ethtool_-g_eth0 
Ring parameters for eth0:
Pre-set maximums:
RX:		1020
RX Mini:	0
RX Jumbo:	4080
TX:		255
Current hardware settings:
RX:		255
RX Mini:	0
RX Jumbo:	0
TX:		255

Comment 6 errata-xmlrpc 2011-12-06 18:11:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1536.html


Note You need to log in before you can comment on or make changes to this bug.